#ifndef Scenerunner_h
#define Scenerunner_h

#include "Arduino.h" 
#include <LiquidCrystal.h>

class Scenerunner {

  public:
    // configuration values
    int tSettle = 100;
    int tFocus = 500;
    int tShutter = 500;
    bool bReturn = true;
    bool bDarkenLcd = true;

    // scene values
    int nSteps = 10;
    float distance = 0.5;

    Scenerunner(LiquidCrystal *lcd);
    void nextAction();

  private:
    LiquidCrystal *_lcd;
    enum RunStep { RUN_OFF, RUN_SETTLE, RUN_FOCUS, RUN_SHUTTER, RUN_RETURN };
    RunStep runStep = RUN_OFF;

};

#endif
